<?php
require_once "legend.php";

## globales

$moistxt = array("","01"=>"janvier","02"=>"fevrier","03"=>"mars","04"=>"avril","05"=>"mai","06"=>"juin","07"=>"juillet","08"=>"aout","09"=>"septembre","10"=>"octobre","11"=>"novembre","12"=>"decembre");
$nametxt=array("tn"=>"tempratures min","tx"=>"tempratures max","tnm"=>"moyenne des tempratures min","txm"=>"moyenne des tempratures max","tm"=>"tempratures moyennes","precipitations"=>"prcipitations","precipmax"=>"prcipitations max en un jour","ventmoyen"=>"vent moyen","ventmax"=>"rafales max");
$directs = array("N","NNE","NE","ENE","E","ESE","SE","SSE","S","SSO","SO","OSO","O","ONO","NO","NNO");

#dit si mensuel ou annuel
function searchFile($file){
$pars = explode("_",$file);
if(ereg("([0-9]{4})",$pars[0])==TRUE && ereg("([0-9]{2})",$pars[1])==TRUE && $pars[2]=="NOAA"){
$result ="month";}
if(ereg("([0-9]{4})",$pars[0])==TRUE && $pars[1]=="NOAA"){
$result ="year";}
return $result;
}

#liste les fichiers noaa valides du repertoire et les classe par ordre dcroissant et par type (mois ou anne)
function listFiles(){
global $moistxt;
$rep=".";
$moistri = array_flip($moistxt);
$dir = opendir($rep);
  while (false !== ($srep = readdir($dir)))
  {
  if(@is_dir($srep)&& ereg("([0-9]{4})",$srep)==TRUE){
  $annuels[]= $srep."/".$srep."_NOAA";
    ##boucle annes
     $sdir = opendir($srep);   
     while ($ssdir = readdir($sdir))
    {
    if(is_dir($srep."/".$ssdir)&& ereg("([0-9]{2})",$ssdir)==TRUE && $ssdir!="00")
    {$mensuels[] =  $srep."/".$ssdir."/".$srep."_".$ssdir."_NOAA";}
    }
    ##boucle annes END
    }    
  }
  
  @sort($mensuels);
  @sort($annuels);
  
  return array(array_reverse($mensuels),array_reverse($annuels));
}


### parser
function parseFile($filename) {

$filetype = searchFile($filename);
$spaces = array("     ","    ","   ","  ");
$space = array(" "," "," "," ");
##month
if($filetype == "month"){

$content = implode("",file($filename.".txt"));
$content = str_replace("\r","",$content);
$separ_1 = explode("----------\n",$content); 
$separ_2 = explode("\n----------",$separ_1[1]); 
$table = $separ_2[0];

$line = explode("\n",$table);

for($i=0;$i<sizeof($line);$i++){
$line[$i]=" ".$line[$i];
$line[$i] = str_replace($spaces,$space,$line[$i]);

$value = explode(" ",$line[$i]);
if($value[1]!=""){

$jour[] = $value[1];
$meantemp[] = $value[2];
$highttemp[] = $value[3];
$hourhighttemp[] = $value[4];
$lowtemp[] = $value[5];
$hourlowtemp[] = $value[6];
$rain[] = $value[9];
$ventmoyen[] = $value[10];
$rafales[] = $value[11];
$hourrafales[] = $value[12];
$domdir[] = str_replace("W","O",$value[13]);

}
}
return array($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir);
}
#year
if($filetype == "year"){
$content = implode("",file($filename.".txt"));
$content = str_replace("\r","",$content);
$separ_1 = explode("----------\n",$content); 
$line = explode("\n",$separ_1[1]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$annee[] = $value[1];
$mois[] = $value[2];
$meanmax[] = $value[3];
$meanmin[] = $value[4];
$meantemp[] = $value[5];
$highttemp[] = $value[9];
$datehighttemp[] = $value[10];
$lowtemp[] = $value[11];
$datelowtemp[] = $value[12];
$gel[] = $value[15];
}
}
$line = explode("\n",$separ_1[3]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$rain[] = $value[3];
$maxrain[] = $value[5];
$maxdate[] = $value[6];
}
}
$line = explode("\n",$separ_1[5]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$ventmoyen[] = $value[3];
$rafales[] = $value[4];
$rafmaxdate[] = $value[5];
$domdir[] = str_replace("W","O",$value[6]);
}
}
return array($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir);
}
}


#trace le graph que si il n'existe pas sur le serveur, renvoie l'image
function traceGraph($file,$data){

$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
#garde que le nom de fichier principal en supprimer les dir du nom
$sepfilename = explode("/",$file);
$namelink = $sepfilename[sizeof($sepfilename)-1];

# si le graph n'xiste pas sur le serveur on le cr quelque soit le fichier src
if(file_exists("graphs/$namelink-$data.png")==FALSE){
list($readable1,$readable2) = listFiles();
if(!in_array($file,$readable1) && !in_array($file,$readable2)){echo "fichier absent !<br/>"; return;}
include"graphs.php";
}
# si il s'agit des fichiers mis a jour automatiquement par la station on maj le graph que si le fichier src est plus rcent que le graph dj prsent d'une heure :
$monthact =date("m");
$yearact = date("Y");

if($file==$yearact."/".$monthact."/".$yearact."_".$monthact."_NOAA" or $file==$yearact."/".$yearact."_NOAA"){

$datgraph = @filemtime("graphs/$namelink-$data.png");
$datsrc = @filemtime("$file.txt");
if($datsrc>=$datgraph+3600){
include"graphs.php";}
}
# on affiche le graph demand par l'utilisateur que si il xiste
if(file_exists("graphs/$namelink-$data.png")==TRUE){
$img = "<img src=\"http://".$lien."graphs/$namelink-$data.png\" alt=\"\"/>\n";
echo $img;
}
}

function compareGraph($file1,$file2,$data){
if($file1=="" && $file2==""){return;}
if($file1==$file2){echo "les donnes  comparer ne doivent pas tre identiques"; return;}
$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
list($readable1,$readable2) = listFiles();
if(!in_array($file1,$readable1) && !in_array($file1,$readable2)){echo "fichier absent $file1 !<br/>"; return;}
if(!in_array($file2,$readable1) && !in_array($file2,$readable2)){echo "fichier absent $file2 !<br/>"; return;}

# on affiche le graph demand par l'utilisateur
$img = "<img src=\"http://".$lien."graphcompare.php?file=$file1&amp;file2=$file2&amp;data=$data\" alt=\"\"/>\n";

echo $img;
}

function afficheMenu(){
echo "<p>
<a href=\"rapports-mensuels.php\">Rapports mensuels</a> | 
<a href=\"rapports-annuels.php\">Rapports annuels</a> | 
<a href=\"comparaison-mensuels.php\">Comparaisons mensuelles</a> | 
<a href=\"comparaison-annuels.php\">Comparaisons annuelles</a>
</p>";
}

function afficheForm($type,$file){
list($mensuels,$annuels)=listFiles();
if($mensuels!="" && $type=="mensuels"){
if($file==""){$_GET[fichier]=$mensuels[0];}
echo "<form method=\"get\" action=\"\">\n <p>Rapports mensuels : \n<select name=\"fichier\">\n";
for($i=0;$i<sizeof($mensuels);$i++){
echo "<option value=\"$mensuels[$i]\""; if($mensuels[$i]==$file){echo" selected=\"selected\"";} echo">".gettitre($mensuels[$i])."</option>\n";
}
echo "</select>\n <input type=\"submit\" value=\"afficher\"/></p>\n</form>\n";
}
if($annuels!="" && $type=="annuels"){
if($file==""){$_GET[fichier]=$annuels[0];}
echo "<form method=\"get\" action=\"\">\n <p>Rapports annuels : \n<select name=\"fichier\">\n";
for($i=0;$i<sizeof($annuels);$i++){
echo "<option value=\"$annuels[$i]\""; if($annuels[$i]==$file){echo" selected=\"selected\"";} echo">".gettitre($annuels[$i])."</option>\n";
}
echo "</select>\n <input type=\"submit\" value=\"afficher\"/></p>\n</form>";
}
}

function afficheFormCompare($type,$file1,$file2,$data){
list($mensuels,$annuels)=listFiles();
if($mensuels!="" && $type=="mensuels"){
echo "<form method=\"get\" action=\"\">";
for($i=0;$i<sizeof($mensuels);$i++){
$champ1.="<option value=\"$mensuels[$i]\"";if($mensuels[$i]==$file1){$champ1.=" selected=\"selected\" ";}$champ1.=">".gettitre($mensuels[$i])."</option>";
}
for($i=0;$i<sizeof($mensuels);$i++){
$champ2.="<option value=\"$mensuels[$i]\"";if($mensuels[$i]==$file2){$champ2.=" selected=\"selected\" ";}$champ2.=">".gettitre($mensuels[$i])."</option>";
}
global $nametxt;
foreach ($nametxt as $key=>$value){
if($key!="tnm" && $key!="txm" && $key!="precipmax"){$champdata .= "<option value=\"$key\"";if($key==$data){$champdata.=" selected=\"selected\" ";} $champdata.=">$value</option>"; }
}
echo "<table><tr><td>Premier mois  comparer : </td><td><select name=\"fichier1\">$champ1</select></td></tr><tr><td> Deuxime mois  comparer : </td><td><select name=\"fichier2\">$champ2</select></td></tr><tr><td>Valeurs  comparer : </td><td><select name=\"data\">$champdata</select></td></tr><tr><td colspan=\"2\" style=\"text-align:center\"><input type=\"submit\" value=\"Afficher\"/></td></tr></table></form>";
}
if($annuels!="" && $type=="annuels"){
echo "<form method=\"get\" action=\"\">";
for($i=0;$i<sizeof($annuels);$i++){
$champ1.="<option value=\"$annuels[$i]\"";if($annuels[$i]==$file1){$champ1.=" selected=\"selected\" ";}$champ1.=">".gettitre($annuels[$i])."</option>";
}
for($i=0;$i<sizeof($annuels);$i++){
$champ2.="<option value=\"$annuels[$i]\"";if($annuels[$i]==$file2){$champ2.=" selected=\"selected\" ";}$champ2.=">".gettitre($annuels[$i])."</option>";
}
global $nametxt;
foreach ($nametxt as $key=>$value){
$champdata .= "<option value=\"$key\"";if($key==$data){$champdata.=" selected=\"selected\" ";} $champdata.=">$value</option>"; 
}
echo "<table><tr><td>Premire anne  comparer : </td><td><select name=\"fichier1\">$champ1</select></td></tr><tr><td> Deuxime anne  comparer : </td><td><select name=\"fichier2\">$champ2</select></td></tr><tr><td>Valeurs  comparer : </td><td><select name=\"data\">$champdata</select></td></tr><tr><td colspan=\"2\" style=\"text-align:center\"><input type=\"submit\" value=\"Afficher\"/></form></td></tr></table>";
}
}

function getmin($arrayvar){
$set="";
$min="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!="" && $set!=1){$min= $arrayvar[$i]; $set=1;}
if($arrayvar[$i]<$min && $arrayvar[$i]!=""){$min=$arrayvar[$i];}
}
return $min;
}
function getmax($arrayvar){
$set="";
$max="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!="" && $set!=1){$max= $arrayvar[$i]; $set=1;}
if($arrayvar[$i]>$max && $arrayvar[$i]!=""){$max=$arrayvar[$i];}
}
return $max;
}
function getmoy($arrayvar){
$moy="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!=""){$cnt++;}
}
$moy = round(array_sum($arrayvar) / $cnt,1);
return $moy;
}

function getrec($arrayvar){
global $directs;
for($c=0;$c<count($arrayvar);$c++)
{
if($arrayvar[$c] != "")
{
for($i=0;$i<sizeof($directs);$i++){
if($arrayvar[$c] == $directs[$i]){$stat[$directs[$i]]++ ; }
}
}
}
$max = max(array_values($stat));
$rev = array_flip($stat);
return $rev[$max];
}

function gettitre($fil){
#garde que le nom de fichier principal en supprimer les dir du nom
$sepfilename = explode("/",$fil);
$namelink = $sepfilename[sizeof($sepfilename)-1];
global $moistxt;
$separ = explode("_",$namelink);
if($separ[1]=="NOAA"){$titre = "l'anne $separ[0]";}
elseif($separ[2]=="NOAA"){$titre = $moistxt[$separ[1]]." $separ[0]";}
else{$titre="";}
return $titre;
}

function getStats($file){
$typefile = searchFile($file);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
return array($tn,$tx,$wx,$rx,$rs,$tm,$wm,$dr,$tmx,$tmn);
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$tnm = getmoy($meanmin);
$txm = getmoy($meanmax);
$tnmn = getmin($meanmin);
$txmx = getmax($meanmax);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rxj = getmax($maxrain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
return array($tn,$tx,$tnm,$txm,$tnmn,$txmx,$tmx,$tmn,$wx,$rx,$rxj,$rs,$tm,$wm,$dr);
}
}

function afficheStats($file) {
$typefile = searchFile($file);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
list($tn,$tx,$wx,$rx,$rs,$tm,$wm,$dr,$tmx,$tmn)=getStats($file);
echo"
<ul>
<li>Temprature moyenne : <b>$tm C</b></li>
<li>Temprature minimale absolue : <b>$tn C</b> le <b>".$jour[array_search($tn,$lowtemp)]."  ".$hourlowtemp[array_search($tn,$lowtemp)]."</b></li>
<li>Temprature maximale absolue : <b>$tx C </b> le <b>".$jour[array_search($tx,$highttemp)]."  ".$hourhighttemp[array_search($tx,$highttemp)]."</b></li>

<li>Jour le plus froid du mois : <b>".$jour[array_search($tmn,$meantemp)]." ".$moistxt[$chr[0]]."</b> avec un moyenne journalire de : <b>$tmn C</b></li>
<li>Jour le plus chaud du mois : <b>".$jour[array_search($tmx,$meantemp)]." ".$moistxt[$chr[0]]." </b>avec un moyenne journalire de : <b>$tmx C</b></li></ul>
<ul>
<li>Rafales la plus leve : <b>$wx km/h </b> le <b>".$jour[array_search($wx,$rafales)]."  ".$hourrafales[array_search($wx,$rafales)]."</b></li>
<li>Vent moyen : <b>$wm km/h</b></li>
<li>Secteur dominant : <b>$dr </b></li></ul>
<ul>
<li>Pluviomtrie maximale en une journe : <b>$rx mm </b> le <b>".$jour[array_search($rx,$rain)]."</b></li>
<li>Prcipitations totales sur le mois : <b>$rs mm</b></li>
</ul>";
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$legx = array_values($moistxt);
array_shift($legx);
list($tn,$tx,$tnm,$txm,$tnmn,$txmx,$tmx,$tmn,$wx,$rx,$rxj,$rs,$tm,$wm,$dr)=getStats($file);
echo "
<ul>
<li>Temprature moyenne : <b>$tm C</b></li>
<li>Temprature minimale absolue : <b>$tn C</b> le <b>".$datelowtemp[array_search($tn,$lowtemp)]." ".$legx[array_search($tn,$lowtemp)]."</b></li>
<li>Temprature maximale absolue : <b>$tx C </b> le <b>".$datehighttemp[array_search($tn,$highttemp)]." ".$legx[array_search($tx,$highttemp)]."</b></li>
<li>Moyenne des tempratures minimales sur l'anne : <b>$tnm C</b></li>
<li>Moyenne des tempratures maximales sur l'anne : <b>$txm C</b></li>
<li>Moyenne des tempratures minimales la plus basse : <b>$tnmn C</b> en <b>".$legx[array_search($tnmn,$meanmin)]."</b></li>
<li>Moyenne des tempratures maximales la plus haute : <b>$txmx C</b> en <b>".$legx[array_search($txmx,$meanmax)]."</b></li>
<li>Mois le plus froid de l'anne : <b>".$legx[array_search($tmn,$meantemp)]."</b> avec un moyenne mensuelle de : <b>$tmn C</b></li>
<li>Mois le plus chaud de l'anne : <b>".$legx[array_search($tmx,$meantemp)]." </b>avec un moyenne mensuelle de : <b>$tmx C</b></li></ul>
<ul>
<li>Rafales la plus leve : <b>$wx km/h</b></li>
<li>Vent moyen : <b>$wm km/h</b></li>
<li>Secteur dominant : <b>$dr </b></li></ul>
<ul>
<li>Pluviomtrie mensuelle la plus leve : <b>$rx mm</b></li>
<li>Pluviomtrie maximale en une journe : <b>$rxj mm</b></li>
<li>Prcipitations totales sur l'anne : <b>$rs mm</b></li>
</ul>";
}
}

function afficheTable($file){
if($file==""){echo "selectionnez un rapport  afficher"; return;}
$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
$typefile = searchFile($file,$data);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
if($data==""){
echo "<table style=\"border:1px solid #ccd3e0\">
<caption style=\"color:#303D58\">Tableau rcapitulatif pour ".gettitre($file)."</caption>
<tr style='background:#ccd3e0;'>
<td rowspan='2'><b>Jour</b></td>
<td colspan='3'><b>Temprature</b></td>
<td colspan='2'><b>Vent</b></td>
<td rowspan='2'><b>Pluie</b></td>
</tr>
<tr style='background:#ccd3e0;'>              
              <td>min</td>
              <td>max</td>
              <td>moy</td>
              <td>Vitesse (rafales)</td>
              <td>Secteur</td>
</tr>";
for ($i=0;$i<sizeof($jour);$i++){
echo"<tr>\n";
echo "<td style=\"background:#ccd3e0\">$jour[$i]</td>\n";
if($lowtemp[$i]!=""){echo "<td style=\"background:".gettempcolor($lowtemp[$i]).""; if($lowtemp[$i]==$tn){echo"; font-weight:bold";} echo"\">$lowtemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($highttemp[$i]!=""){echo "<td style=\"background:".gettempcolor($highttemp[$i]).""; if($highttemp[$i]==$tx){echo"; font-weight:bold";} echo"\">$highttemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($meantemp[$i]!=""){echo "<td style=\"background:".gettempcolor($meantemp[$i]).""; if($meantemp[$i]==$tmn or $meantemp[$i]==$tmx){echo"; font-weight:bold";} echo"\">$meantemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($ventmoyen[$i]!=""){echo "<td style=\"background:".getventcolor($rafales[$i]).""; if($rafales[$i]==$wx){echo"; font-weight:bold";} echo"\">$ventmoyen[$i] km/h ($rafales[$i] km/h)</td>\n";}else{echo "<td>--- ---</td>\n";}
if($domdir[$i]!=""){echo "<td style=\"background:RGB(".getdircolor($domdir[$i]).")\"><img style=\"height:10px\" src=\"http://".$lien."pics/$domdir[$i].gif\" alt=\"$domdir[$i]\"/> $domdir[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($rain[$i]!=""){echo "<td style=\"background:".getpluiecolor($rain[$i]).""; if($rain[$i]==$rx){echo"; font-weight:bold";} echo"\">$rain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
echo "</tr>\n";
}
echo "<tr style='background:#ccd3e0'>\n<td style='font-weight:bold'>Total</td>\n<td>$tn C</td>\n<td>$tx C</td>\n<td>$tm C</td>\n<td>$wm km/h ($wx km/h)</td>\n<td><img style=\"height:10px\" src=\"http://".$lien."pics/$dr.gif\" alt=\"$dr\"/> $dr</td>\n<td>$rs mm</td>\n</tr>\n";
echo "</table>\n";
}
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$legx = array_values($moistxt);
array_shift($legx);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$tnm = getmoy($meanmin);
$txm = getmoy($meanmax);
$tnmn = getmin($meanmin);
$txmx = getmax($meanmax);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rxj = getmax($maxrain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
echo "
<table style=\"border:1px solid #ccd3e0\">
<caption style=\"color:#303D58\">Tableau rcapitulatif pour ".gettitre($file)."</caption>
<tr style='background:#ccd3e0;'>
<td colspan='6' style='text-align:center;'><b>TEMPERATURES</b></td>
<td colspan='3' style='text-align:center;'><b>VENT</b></td>
<td colspan='3' style='text-align:center;'><b>PRECIPITATIONS</b></td></tr>
<tr style='background:#ccd3e0;'>
<td rowspan='2'><b>Mois</b></td>
<td colspan='2'><b>Tempratures min</b></td>
<td colspan='2'><b>Tempratures max</b></td>
<td rowspan='2'><b>Moyenne <br/>mensuelle</b></td>
<td rowspan='2'><b>Vent<br/>moyen</b></td>
<td rowspan='2'><b>Rafales max</b></td>
<td rowspan='2'><b>Secteur<br/> dominant</b></td>
<td rowspan='2'><b>Cumul</b></td>
<td rowspan='2'><b>Max en<br/>un jour</b></td>
</tr>
<tr style='background:#ccd3e0;'>
<td>Tn absolue</td>
<td>Tn moyenne</td>
<td>Tx absolue</td>
<td>Tx moyenne</td>
</tr>\n";
for ($i=0;$i<sizeof($legx);$i++){
echo"<tr>\n";
echo "<td style=\"background:#ccd3e0\">$legx[$i]</td>\n";
if($lowtemp[$i]!=""){echo "<td style=\"background:".gettempcolor($lowtemp[$i]).""; if($lowtemp[$i]==$tn){echo"; font-weight:bold";} echo"\">$lowtemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($meanmin[$i]!=""){echo "<td style=\"background:".gettempcolor($meanmin[$i]).""; if($meanmin[$i]==$tnmn){echo"; font-weight:bold";} echo"\">$meanmin[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($highttemp[$i]!=""){echo "<td style=\"background:".gettempcolor($highttemp[$i]).""; if($highttemp[$i]==$tx){echo"; font-weight:bold";} echo"\">$highttemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($meanmax[$i]!=""){echo "<td style=\"background:".gettempcolor($meanmax[$i]).""; if($meanmax[$i]==$txmx){echo"; font-weight:bold";} echo"\">$meanmax[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($meantemp[$i]!=""){echo "<td style=\"background:".gettempcolor($meantemp[$i]).""; if($meantemp[$i]==$tmn or $meantemp[$i]==$tmx){echo"; font-weight:bold";} echo"\">$meantemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($ventmoyen[$i]!=""){echo "<td style=\"background:".getventcolor($ventmoyen[$i]*10).""; if($ventmoyen[$i]==$hw){echo"; font-weight:bold";} echo"\">$ventmoyen[$i] km/h </td>\n";}else{echo "<td>---</td>\n";}
if($rafales[$i]!=""){echo "<td style=\"background:".getventcolor($rafales[$i]).""; if($rafales[$i]==$wx){echo"; font-weight:bold";} echo"\">$rafales[$i] km/h </td>\n";}else{echo "<td>---</td>\n";}
if($domdir[$i]!=""){echo "<td style=\"background:RGB(".getdircolor($domdir[$i]).")\"><img style=\"height:10px\" src=\"http://".$lien."pics/$domdir[$i].gif\" alt=\"$domdir[$i]\"/> $domdir[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($rain[$i]!=""){echo "<td style=\"background:".getpluiecolor($rain[$i]).""; if($rain[$i]==$rx){echo"; font-weight:bold";} echo"\">$rain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
if($maxrain[$i]!=""){echo "<td style=\"background:".getpluiecolor($maxrain[$i]).""; if($maxrain[$i]==$rxj){echo"; font-weight:bold";} echo"\">$maxrain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
}
echo "</tr>\n";
echo "<tr style='background:#ccd3e0'>\n<td style='font-weight:bold'>Total</td>\n<td>$tn C</td>\n<td>$tnm C</td>\n<td>$tx C</td>\n<td>$txm C</td>\n<td> $tm C</td>\n<td>$wm km/h</td>\n<td>$wx km/h</td>\n<td><img style=\"height:10px\" src=\"http://".$lien."pics/$dr.gif\" alt=\"$dr\"/> $dr</td>\n<td>$rs mm</td>\n<td>$rxj mm</td>\n</tr>\n";
echo "</table>\n";




}
}



?>
